# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: catfish
Version: 4.20.1
Release: alt1
Summary: A handy file search tool

Group: File tools
License: GPL-2.0-or-later
Url: https://gitlab.xfce.org/apps/catfish
# Source-url: https://gitlab.xfce.org/apps/catfish/-/archive/catfish-%version/catfish-catfish-%version.tar.gz
Source: %name-%version.tar.gz
BuildArch: noarch
Patch: catfish-%version-ALT-searchODF.patch

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson
BuildRequires: rpm-build-python3
#BuildRequires: intltool python3-dev python3-module-distutils-extra python3-module-pexpect python3-module-zeitgeist2.0
#BuildRequires: python3-module-pygobject3
BuildRequires: rpm-build-gir
BuildRequires: python3(dbus)
BuildRequires: python3(gi)
BuildRequires: python3(pexpect)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(libxfconf-0)

# search engine
Requires: %_bindir/locate
Requires: %_bindir/find
Requires: python3-module-catfish = %EVR

# XXX /etc/mime.types belongs here
Requires: mailcap

%description
A handy file search tool using different backends which is
configurable via the command line.

This program acts as a frontend for different file search engines.
The interface is intentionally lightweight and simple. But it takes
configuration options from the command line.

%package -n python3-module-catfish
Group: Development/Python3
Summary: Supplemental module for catfish

Requires: typelib(Gtk) = 3.0

%description -n python3-module-catfish
Supplemental Python3 module for catfish, a handy file search tool.

%prep
%setup -n %name-%version
%patch -p2

%build
%meson
%meson_build

%install
# XXX upstream cant' handle this :)
#install -D build/share/applications/*.desktop %buildroot/%_desktopdir/org.xfce.Catfish.desktop

%meson_install

rm -r %buildroot%_defaultdocdir/%name

# remove non-scallable icons
rm -vr %buildroot%_iconsdir/hicolor/*x*/

%find_lang catfish

%files -f catfish.lang
%doc AUTHORS COPYING README.md
%_bindir/catfish
%_desktopdir/org.xfce.Catfish.desktop
%_datadir/catfish
%_datadir/metainfo/catfish.appdata.xml
%_iconsdir/hicolor/scalable/apps/org.xfce.catfish.svg
%_man1dir/catfish.1.*

%files -n python3-module-catfish
%python3_sitelibdir_noarch/catfish
%python3_sitelibdir_noarch/catfish_lib

%changelog
* Wed Jul 02 2025 Anton Midyukov <antohami@altlinux.org> 4.20.1-alt1
- new version (4.20.1) with rpmgs script

* Sat Jan 04 2025 Anton Midyukov <antohami@altlinux.org> 4.20.0-alt1
- new version (4.20.0) with rpmgs script

* Mon Aug 14 2023 Anton Midyukov <antohami@altlinux.org> 4.18.0-alt1
- Updated to upstream version 4.18.0

* Mon Jun 19 2023 Anton Midyukov <antohami@altlinux.org> 4.16.4-alt1
- Updated to upstream version 4.16.4
- Fix Url
- Migration to PEP517

* Wed Jun 09 2021 Anton Midyukov <antohami@altlinux.org> 4.16.0-alt1
- Updated to upstream version 4.16.0 (Closes: #29433 #39757)

* Fri Dec 25 2020 Anton Midyukov <antohami@altlinux.org> 1.4.10-alt3
- Add requires typelib(Gtk) = 3.0

* Fri Nov 27 2020 Anton Midyukov <antohami@altlinux.org> 1.4.10-alt2
- Add automatic search for gobject introspection dependencies

* Wed Sep 25 2019 Fr. Br. George <george@altlinux.ru> 1.4.10-alt1
- Autobuild version bump to 1.4.10
- Rewrite internal fulltext search; avoid non-files here

* Fri Jun 21 2019 Fr. Br. George <george@altlinux.ru> 1.4.7-alt2
- Rough ODF search implemented

* Mon Jun 10 2019 Fr. Br. George <george@altlinux.ru> 1.4.7-alt1
- Autobuild version bump to 1.4.7 (Closes: #36594)
- Switch to Python3

* Thu Feb 01 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 1.4.4-alt1
- Updated to upstream version 1.4.4.

* Thu Nov 17 2016 Fr. Br. George <george@altlinux.ru> 1.4.2-alt1
- Autobuild version bump to 1.4.2
- Separate supplemental module

* Wed Nov 18 2015 Fr. Br. George <george@altlinux.ru> 1.3.3-alt1
- Autobuild version bump to 1.3.3

* Sat Sep 27 2014 Fr. Br. George <george@altlinux.ru> 1.2.2-alt1
- Autobuild version bump to 1.2.2

* Tue Aug 19 2014 Fr. Br. George <george@altlinux.ru> 1.2.0-alt1
- Autobuild version bump to 1.2.0

* Wed Apr 16 2014 Fr. Br. George <george@altlinux.ru> 1.0.2-alt1
- Autobuild version bump to 1.0.2

* Thu Oct 10 2013 Fr. Br. George <george@altlinux.ru> 0.8.2-alt1
- Autobuild version bump to 0.8.2
- Mass upstream version update
- Catch icon_not_found exception again

* Wed May 29 2013 Fr. Br. George <george@altlinux.ru> 0.3.2-alt3
- Catch icon_not_found exception (Closes: 26027)

* Sat Oct 22 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.2-alt2.1
- Rebuild with Python-2.7

* Fri Jul 01 2011 Fr. Br. George <george@altlinux.ru> 0.3.2-alt2
- Add requirement python-module-pygtk-libglade (closes: 25231)

* Tue Dec 01 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.3.2-alt1.1
- Rebuilt with python 2.6

* Mon Jun 01 2009 Fr. Br. George <george@altlinux.ru> 0.3.2-alt1
- Initial build from FC

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.2-2
- GTK icon cache updating script update

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com>
- Rebuild for Python 2.6

* Tue Oct 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3.2-1
- 0.3.2

* Thu Oct 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-1
- 0.3

* Fri Oct 05 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.3.c
- Remove beagle dependency for now because beagle is not
  available on ppc64 (although catfish itself is noarch :( )

* Wed Oct 03 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.2.c
- License update
- Create sub-metapackage to install all supported search engines
- Remove redhat-artwork dependency

* Fri Aug 03 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.c
- 0.3c

* Tue May 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.b
- 0.3b

* Wed Apr 04 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.3-0.1.a
- 0.3a

* Wed Feb 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2.2-1
- 0.2.2

* Sun Feb 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2.1-1
- 0.2.1

* Wed Feb 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2stable-1
- 0.2

* Tue Jan 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2d-1
- 0.2d

* Mon Jan 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2c-1
- 0.2c

* Sun Jan 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2b-1
- Upstream rename: search4files -> catfish
- Remove the dependencies for beagle, nautilus,
  replace with redhat-artwork

* Mon Jan 01 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2a-1
- 0.2a

* Sat Dec 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Require pyxdg again (fc7)

* Wed Dec 20 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1e-1
- 0.1e

* Thu Dec 14 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1d-1
- 0.1d
- Disable pyxdg support on devel for now.

* Fri Dec 08 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-2
- Fix type typo

* Fri Dec 08 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-1
- Initial packaging to import to Fedora Extras.
